« 「なな」ちゃん、今日は大変な一日でした!! | メイン | 「なな」ちゃん、今日はの踊りは何ダンス? »

2010年12月29日 (水)

Ubuntu10.10にGoogleEarthをインストールする方法

先日、メインマシンのOSをバージョンアップし、
Ubuntu10.10にしたところ、

Google Earth

6.0.1.2032 (beta)

のインストールができないでいました。 coldsweats01
で、今日、再度試みました。
何度か試行しましたが、結果、無事起動できました。 happy01

Googleearth


以下、その備忘録です。

GoogleEarthのサイトから、GoogleEarthLinux.binを取得し、

~$ ./GoogleEarthLinux.bin
を行うも、

(省略)
^
setup.data/setup.xml:1: parser error : Start tag expected, '<' not found
^
Couldn't load 'setup.data/setup.xml'

とエラーメッセージが出てインストール出来ず。
で、調べた結果、

http://www.google.com/support/forum/p/earth/thread?tid=6f59e15bf811d4e2&hl=en

上記より、

./GoogleEarthLinux.bin --target /tmp/ge
cd /tmp/ge/setup.data/bin/Linux/x86/
mv setup.gtk setup.gtk2
cd /tmp/ge
./setup.sh

とあるので、そのようにしてみた。

~$ ./GoogleEarthLinux.bin --target /tmp/ge
Creating directory /tmp/ge
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 6.0.1.2032.............................................................................................
setup.data/setup.xml:1: parser error : Document is empty

^
setup.data/setup.xml:1: parser error : Start tag expected, '<' not found

^
Couldn't load 'setup.data/setup.xml'
~$ cd /tmp/ge/setup.data/bin/Linux/x86
$ ls
setup.gtk  setup.gtk2  uninstall
$ mv setup.gtk setup.gtk2
$ ls
setup.gtk2  uninstall
$ cd /tmp/ge/
$ ls
README.linux   googleearth-data.tar       googleearth.xpm  preuninstall.sh
bin            googleearth-icon.png       linux            setup.data
desktop_icons  googleearth-linux-x86.tar  postinstall.sh   setup.sh
$ ./setup.sh

Gtk-WARNING **: Failed to load module "libcanberra-gtk-module.so": libcanberra-gtk-module.so: 共有オブジェクトファイルを開けません: そのようなファイルやディレクトリはありません
loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

Installing mimetypes...
Installing desktop menu entries...
Installing desktop icon...
exec: 19: ./googleearth-bin: not found
$

と、インストールはうまくいったようですが、
最後の行のエラーメッセージが出て、
結果、起動はできませんでした。 coldsweats01

で、再度調べた結果、

http://art.ubuntuforums.org/showthread.php?p=10283609

上記の情報より、

Synaptic パッケージマネージャーから、
lsb-qt4 4.0-0ubuntu8
をインストールしたらメニューより無事起動できました。 happy01

コメント

この記事へのコメントは終了しました。

MyWeb

ウェブページ